{% extends 'base.html' %}
{% load static %}

{% block extra_head %}
    <link rel="stylesheet" href="{% static 'admin-lte/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css' %}">
    <link rel="stylesheet" href="{% static 'admin-lte/plugins/datatables-responsive/css/responsive.bootstrap4.min.css' %}">
    <link rel="stylesheet" href="{% static 'admin-lte/plugins/datatables-buttons/css/buttons.bootstrap4.css' %}">
    <link rel="stylesheet" href="{% static 'admin-lte/plugins/datatables-select/css/select.bootstrap4.min.css' %}">
    <link rel="stylesheet" href="{% static 'admin-lte/plugins/datatables-searchpanes/css/searchPanes.bootstrap4.css' %}">
    <link rel="stylesheet" href="{% static 'admin-lte/plugins/datatables-bs4/css/dataTables.jquery.css' %}">
{% endblock %}

{% block title %}
	Personnel
{% endblock %}

{% block page_name %}Personnel{% endblock %}

{% block content_class %}d-flex justify-content-center{% endblock %}

{% block content %}
    <table id="personnel-table" class="table table-striped">
        <thead>
            <tr>
                <th>Name</th>
                <th>Phone Number</th>
                <th>Email Address</th>
                <th>Address</th>
                <th>Zip Code</th>
                <th>Country</th>
                <th>Salary</th>
            </tr>
        </thead>
        <tfoot>
            <tr>
                <th>Name</th>
                <th>Phone Number</th>
                <th>Email Address</th>
                <th>Address</th>
                <th>Zip Code</th>
                <th>Country</th>
                <th>Salary</th>
            </tr>
        </tfoot>
    </table>
{% endblock %}

{% block js %}
    <script src="{% static 'admin-lte/plugins/datatables/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'admin-lte/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js' %}"></script>
    <script src="{% static 'admin-lte/plugins/datatables-responsive/js/dataTables.responsive.min.js' %}"></script>
    <script src="{% static 'admin-lte/plugins/datatables-responsive/js/responsive.bootstrap4.min.js' %}"></script>
    <script src="{% static 'admin-lte/plugins/datatables-buttons/js/dataTables.buttons.min.js' %}"></script>
    <script src="{% static 'admin-lte/plugins/datatables-buttons/js/buttons.bootstrap4.min.js' %}"></script>
    <script src="{% static 'admin-lte/plugins/datatables-select/js/datatables.select.min.js' %}"></script>
    <script src="{% static 'admin-lte/plugins/datatables-searchpanes/js/datatables.searchPanes.min.js' %}"></script>
    <script src="{% static 'admin-lte/plugins/jszip/jszip.min.js' %}"></script>
    <script src="{% static 'admin-lte/plugins/pdfmake/pdfmake.min.js' %}"></script>
    <script src="{% static 'admin-lte/plugins/pdfmake/vfs_fonts.js' %}"></script>
    <script src="{% static 'admin-lte/plugins/datatables-buttons/js/buttons.html5.min.js' %}"></script>
    <script src="{% static 'admin-lte/plugins/datatables-buttons/js/buttons.print.min.js' %}"></script>
    <script src="{% static 'admin-lte/plugins/datatables-buttons/js/buttons.colVis.min.js' %}"></script>
{% endblock %}

{% block extra_js %}
<script>
    $(document).ready(function () {
        $('#personnel-table').DataTable({
            "ajax": "{% url 'personnel-data' %}",
            "pageLength": 10,
            "order": [[0, 'asc']],
            "responsive": true,
            "lengthChange": false,
            "autoWidth": false,
            "buttons": ["copy", "csv", "excel", "pdf", "searchPanes"],
            "language": {
                "searchPanes": {
                    "clearMessage": 'Clear Selections',
                    "collapse": {0: "Search Options", _: "Search Options (%d)"}
                }
            },
            "dom": "Bfrtip",
            "columns": [
                { data: 'name' },
                { data: 'phone' },
                { data: 'email' },
                { data: 'address' },
                { data: 'zip' },
                { data: 'country' },
                { data: 'salary' }
            ],
        }).buttons().container()
    });
</script>
{% endblock %}